# Trait bitflags::__core::ops::BoxPlace [−] [src]

    pub trait BoxPlace<Data>: Place<Data> where Data: ?Sized {
        fn make_place() -> Self;
    }

Unstable (`placement_new_protocol`)

Specialization of `Place` trait supporting `box EXPR`.

## Required Methods

### `fn make_place() -> Self`

Unstable (`placement_new_protocol`)

Creates a globally fresh place.

## Implementors

- `impl<T> BoxPlace for IntermediateBox<T>`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)